COMPAREFUNC(3CgFX)

NAME
CompareFunc - 3D API compare function

USAGE
CompareFunc = int(func)

VALID ENUMERANTS
func: Never, Less, LEqual, Equal, Greater, NotEqual, GEqual, Always

DESCRIPTION
Specify the texture comparison function. See the GL_TEXTURE_COMPARE_FUNC description on the OpenGL glTexParameter manual page, the GL_ARB_shadow extension, or EXT_shadow_funcs extension for details.

The standard reset callback sets the CompareFunc state to float(LEqual).

OPENGL FUNCTIONALITY REQUIREMENTS
LEqual, GEqual: OpenGL 1.4 or support for extension GL_ARB_shadow.

all others: OpenGL 1.5 or support for extension GL_EXT_shadow_funcs.

DIRECT3D FUNCTIONALITY REQUIREMENTS
Not applicable.

SEE ALSO
CompareMode, DepthMode